Batch Real-Time Kline
Batch obtain complete K-line data for multiple stocks, covering thousands of stocks in global markets including A-shares, US stocks, and Hong Kong stocks. Provide standardized time series data, including opening price, highest price, lowest price, closing price, and trading volume OHLCV fields, supporting multi-period queries from minute lines to monthly lines.
/stock/klinesRequest Parameters
regionenumRequiredMarket code, supports HK(Hong Kong)、SH(Shanghai)、SZ(Shenzhen)、US(US stocks)、SG(Singapore)、JP(Japan)、TW(Taiwan)、IN(India)、TH(Thailand)、DE(Germany)、MX(Mexico)、MY(Malaysia)、TR(Turkey)、ES(Spain)、NL(Netherlands)、GB(Great Britain)etc.
exchangestringExchange, Use exchange to differentiate stocks in the same market. Empty returns primary exchange only. See /symbol/list for exchange codes.
codesstringRequiredProduct code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom
kTypeenumRequiredInterval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month
limitstringRequiredNumber of records to query
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
tunumberTransaction amount
cnumberClosing price of the Kline
tnumberTimestamp
vnumberTransaction volume
hnumberHighest price of the Kline
lnumberLowest price of the Kline
onumberOpening price of the Kline
Code Examples
import requests
url = "https://api.itick.org/stock/klines?region=HK&codes=700,9988&kType=2&limit=5"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/stock/klines?region=HK&codes=700,9988&kType=2&limit=5, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"700": [
{
"tu": 56119888070.5,
"c": 534.5,
"t": 1741239000000, // 2025-03-06 05:30:00 UTC
"v": 104799385,
"h": 536,
"l": 534.5,
"o": 535
}
],
"9988": [
{
"tu": 75404622753.1,
"c": 140.1,
"t": 1741239000000, // 2025-03-06 05:30:00 UTC
"v": 538602171,
"h": 140.3,
"l": 139.8,
"o": 139.9
}
]
}
}